Subject: Re: [perl #10008] Not OK: perl v5.8.0 on cygwin-multi-64int 1.3.12s(0.5332) (UNINSTALLED)
From: "H.Merijn Brand" <[email-masked]>
To: [email-masked]
Cc: "H.Merijn Brand" <[email-masked]>
Date: Sat, 18 Jan 2003 10:21:32 +0100

On Fri 17 Jan 2003 21:25, Christopher Faylor <[email-masked]> wrote:
> On Fri, Jan 17, 2003 at 05:40:17PM +0100, H.Merijn Brand wrote:
> >Now that I managed automatic install of snapshots :))) I traced it back.
> >
> >20030113 OK
> >20030114 OK
> >20030115 Crash on above cd
> >20030116 Crash on above cd
> >20030117 Crash on above cd
> 
> Can you give me more information on your environment? 

Win2k/sp3 on all test environments, almost all packages from cygwin setup,
expect the useless one's (emacs, python, info), but you can peruse the list in
the attachment.  Normally I run bash.
For all packages I run the latest version available (either dist or exp).

Installed snaps over 1.3.18-1

> What shell are you running that returns a '#' prompt?

None :) but since the shell crashes, I cannot cut-n-paste, so I use my default
prompt when typing hand-entered commands.

> Is /P/perl-current/ext/Data just a simple directory under root or is it
> mounted somehow?

similar setup on all my test machines:

PC03:/W 501 $ mount
C:\Cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type system (binmo
de)
C:\Cygwin\bin on /usr/bin type system (binmode)
C:\Cygwin\lib on /usr/lib type system (binmode)
F:\Work\Perl on /P type user (binmode)
C:\Cygwin on / type system (binmode)
F:\Work on /W type user (binmode)
F:\Tmp on /tmp type user (binmode)
A: on /A type user (binmode)
C: on /C type user (binmode)
D: on /D type user (binmode)
E: on /E type user (binmode)
F: on /F type user (binmode)
T: on /T type user (binmode)
p: on /cygdrive/p type user (binmode,noumount)
x: on /cygdrive/x type user (binmode,noumount)
PC03:/W 502 $

/P is always binmode mounted to a place where I keep my perl stuff. On the
machine I pasted this info, it's on F:\Work\Perl, on other machines it's
either C:\Util\Perl or C:\Work\Perl

on /P is a subfolder perl-current that I rsync to the development state of
perl-5.9.0 (bleadperl or perl-5.10.0-tobe)

/P/perl-current/ext/Data is the only example that was reproducable: it always
crashed. I've got more crashes on testing 'cd', but no others I found that
crashed always.

> Any other details you can think of would be appreciated.

> If you could send cygcheck -r -s -v output as an attachment to [email-masked]

Attached is the version from the laptop, where I first noticed the failures

> (please *do not* Cc me -- I read the list), it would be appreciated.

OK. You've set up reply-to OK, so my mailer picked it up.

-- 
H.Merijn Brand        Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using perl-5.6.1, 5.8.0 & 633 on HP-UX 10.20 & 11.00, AIX 4.2, AIX 4.3,
  WinNT 4, Win2K pro & WinCE 2.11.  Smoking perl CORE: [email-masked]
http://archives.develooper.com/[email-masked]/   [email-masked]
send smoke reports to: [email-masked], QA: http://qa.perl.org
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/